Orders & Dispatch
Order History
Lists orders associated with your account (paginated).
How to call — GET {server}/api/v1/business/orders with X-API-Key and optional page, limit, sortBy, order.
GET
/
api
/
v1
/
business
/
orders
Order History
curl --request GET \
--url https://api-stage.ugift.me/api/v1/business/orders \
--header 'X-API-Key: <api-key>'import requests
url = "https://api-stage.ugift.me/api/v1/business/orders"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api-stage.ugift.me/api/v1/business/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total": 24,
"page": 1,
"totalPages": 3,
"orders": [
{
"_id": "65b0d1e2f3a4b56789012345",
"productCode": "AMAZON_UK_STD",
"merchant": {
"name": "Amazon UK"
},
"currency": "GBP",
"valuePurchased": 50,
"status": "active",
"isPaid": true,
"isActive": true,
"createdAt": "2025-04-12T14:22:10.000Z",
"updatedAt": "2025-04-12T14:22:11.000Z",
"imageUrl": "https://cdn.ugift.me/products/amazon-uk-card.png"
}
]
}Authorizations
Your UGiftMe API key for authentication.
Format: Secure API key (e.g., <your-api-key>)
Required: All endpoints require this header
Example: X-API-Key: <your-api-key>
Query Parameters
Required range:
x >= 1Available options:
asc, desc ⌘I
Order History
